---
title: FontFace.display
slug: Web/API/FontFace/display
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - FontFace
  - Fonts
  - Property
  - Reference
  - display
---
<p>{{SeeCompatTable}}{{APIRef("CSS Font Loading API")}}</p>

<p>The <strong><code>display</code></strong> property of the {{domxref("FontFace")}} interface determines how a font face is displayed based on whether and when it is downloaded and ready to use. This property is equivalent to the CSS <code>font-display</code> descriptor.</p>

<p>When this property is used, font loading has a timeline with three periods. The lengths of the first two periods depend on the value of the property and the user agent. (See below.)</p>

<dl>
 <dt>block period</dt>
 <dd>The browser invisibly prepares a fallback font. If the font face loads during this time, it's used to display the text and display is complete. </dd>
 <dt>swap period</dt>
 <dd>If the font face is still not loaded, the fallback font will be shown. When the font face loads, the fallback will be swaped for the downloaded font.</dd>
 <dt>failure period</dt>
 <dd>If the font face still is not loaded, the fallback font will be shown and no swap will occur.</dd>
</dl>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>display</em> = FontFace.display
FontFace.display = <em>display</em></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("CSSOMString")}} with one of the following values.</p>

<ul>
 <li><code>'auto'</code>: Use the font display strategy provided by the user agent.</li>
 <li><code>'block'</code>: Gives the font face a short block period and an infinite swap period. The spec recommends 3 seconds for the block period, though this may vary from browser to browser.</li>
 <li><code>'fallback'</code>: Gives the font face a short block period and a short swap period. The spec recommends 100 ms or less for the block period and 3 seconds for the swap period, though these values may vary from browser to browser.</li>
 <li><code>'optional'</code>: Gives the font face a short block period and no swap period. The spec recommends 100 ms or less, though this may vary from browser to browser.</li>
 <li><code>'swap'</code>: Gives the font face a 0 second block period and an infinite swap period.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontface-family','display')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Fonts','#descdef-font-face-font-display','font-display')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td>Defines the values for the <code>display</code> property. (They are the same as for <code>font-display</code>.)</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.FontFace.display")}}</p>
</div>
